import React from 'react';
import { testEditableOptions } from "./utils";
import { jsx as _jsx } from "react/jsx-runtime";
function Tabs(_ref) {
  var tabs = _ref.tabs,
    activeTab = _ref.activeTab,
    onActiveTab = _ref.onActiveTab,
    editableOptions = _ref.editableOptions,
    listData = _ref.listData,
    isCountry = _ref.isCountry,
    isProvince = _ref.isProvince,
    isMunicipality = _ref.isMunicipality,
    isCity = _ref.isCity,
    isDistrict = _ref.isDistrict,
    isStreet = _ref.isStreet;
  return /*#__PURE__*/_jsx("div", {
    className: "cascader-tabs",
    children: Array.isArray(tabs) && tabs.length ? tabs.map(function (tab, index) {
      return /*#__PURE__*/_jsx("div", {
        onClick: function onClick(e) {
          e.stopPropagation();
          onActiveTab && onActiveTab(tab);
        },
        className: "cascader-tab".concat((tab === null || tab === void 0 ? void 0 : tab.id) === (activeTab === null || activeTab === void 0 ? void 0 : activeTab.id) ? ' active' : '').concat(testEditableOptions(tab, index, {
          tabs: tabs,
          editableOptions: editableOptions,
          listData: listData,
          isCountry: isCountry,
          isProvince: isProvince,
          isMunicipality: isMunicipality,
          isCity: isCity,
          isDistrict: isDistrict,
          isStreet: isStreet
        }) ? '' : ' disabled'),
        children: tab.name
      }, index);
    }) : null
  });
}
export default Tabs;